Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_cond_timedwait.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_cond_timedwait.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_cond_timedwait.c	(revision 400)
@@ -212,10 +212,3 @@
 }
 
-#ifndef __c2__
 weak_alias(__pthread_cond_timedwait, pthread_cond_timedwait);
-#else
-int pthread_cond_timedwait(pthread_cond_t *restrict c, pthread_mutex_t *restrict m, const struct timespec *restrict ts)
-{
-	return __pthread_cond_timedwait(c, m, ts);
-}
-#endif
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_create.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_create.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_create.c	(revision 400)
@@ -14,11 +14,6 @@
 {
 }
-#ifndef __c2__
 weak_alias(dummy_0, __acquire_ptc);
 weak_alias(dummy_0, __release_ptc);
-#else
-extern void __acquire_ptc();
-extern void __release_ptc();
-#endif
 weak_alias(dummy_0, __pthread_tsd_run_dtors);
 weak_alias(dummy_0, __do_orphaned_stdio_locks);
@@ -168,13 +163,8 @@
 
 /* pthread_key_create.c overrides this */
-#ifndef __c2__
 static volatile size_t dummy = 0;
 weak_alias(dummy, __pthread_tsd_size);
 static void *dummy_tsd[1] = { 0 };
 weak_alias(dummy_tsd, __pthread_tsd_main);
-#else
-extern volatile size_t __pthread_tsd_size;
-extern void *__pthread_tsd_main;
-#endif
 
 volatile int __block_new_threads = 0;
@@ -182,14 +172,8 @@
 size_t __default_guardsize = DEFAULT_GUARD_SIZE;
 
-#ifndef __c2__
 static FILE *volatile dummy_file = 0;
 weak_alias(dummy_file, __stdin_used);
 weak_alias(dummy_file, __stdout_used);
 weak_alias(dummy_file, __stderr_used);
-#else
-extern FILE *volatile __stdin_used;
-extern FILE *volatile __stdout_used;
-extern FILE *volatile __stderr_used;
-#endif
 
 static void init_file_lock(FILE *f)
@@ -329,16 +313,4 @@
 }
 
-#ifndef __c2__
 weak_alias(__pthread_exit, pthread_exit);
 weak_alias(__pthread_create, pthread_create);
-#else
-_Noreturn void pthread_exit(void *result)
-{
-	__pthread_exit(result);
-}
-
-int pthread_create(pthread_t *restrict res, const pthread_attr_t *restrict attrp, void *(*entry)(void *), void *restrict arg)
-{
-	return __pthread_create(res, attrp, entry, arg);
-}
-#endif
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_mutex_lock.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_mutex_lock.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_mutex_lock.c	(revision 400)
@@ -12,10 +12,3 @@
 }
 
-#ifndef __c2__
 weak_alias(__pthread_mutex_lock, pthread_mutex_lock);
-#else
-int pthread_mutex_lock(pthread_mutex_t *m)
-{
-	return __pthread_mutex_lock(m);
-}
-#endif
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_mutex_trylock.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_mutex_trylock.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_mutex_trylock.c	(revision 400)
@@ -56,10 +56,3 @@
 }
 
-#ifndef __c2__
 weak_alias(__pthread_mutex_trylock, pthread_mutex_trylock);
-#else
-int pthread_mutex_trylock(pthread_mutex_t *m)
-{
-	return __pthread_mutex_trylock(m);
-}
-#endif
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_mutex_unlock.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_mutex_unlock.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_mutex_unlock.c	(revision 400)
@@ -35,10 +35,3 @@
 }
 
-#ifndef __c2__
 weak_alias(__pthread_mutex_unlock, pthread_mutex_unlock);
-#else
-int pthread_mutex_unlock(pthread_mutex_t *m)
-{
-	return __pthread_mutex_unlock(m);
-}
-#endif
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_self.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_self.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_self.c	(revision 400)
@@ -8,16 +8,4 @@
 }
 
-#ifndef __c2__
 weak_alias(__pthread_self_internal, pthread_self);
 weak_alias(__pthread_self_internal, thrd_current);
-#else
-pthread_t pthread_self()
-{
-	return __pthread_self_internal();
-}
-
-pthread_t thrd_current()
-{
-	return __pthread_self_internal();
-}
-#endif
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_setcancelstate.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_setcancelstate.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_setcancelstate.c	(revision 400)
@@ -10,10 +10,3 @@
 }
 
-#ifndef __c2__
 weak_alias(__pthread_setcancelstate, pthread_setcancelstate);
-#else
-int pthread_setcancelstate(int new, int *old)
-{
-	return __pthread_setcancelstate(new, old);
-}
-#endif
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_testcancel.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_testcancel.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/pthread_testcancel.c	(revision 400)
@@ -13,10 +13,3 @@
 }
 
-#ifndef __c2__
 weak_alias(__pthread_testcancel, pthread_testcancel);
-#else
-void pthread_testcancel()
-{
-	__pthread_testcancel();
-}
-#endif
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/synccall.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/synccall.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/thread/synccall.c	(revision 400)
@@ -18,10 +18,6 @@
 static volatile int target_tid;
 static void (*callback)(void *), *context;
-#ifndef __c2__
 static volatile int dummy = 0;
 weak_alias(dummy, __block_new_threads);
-#else
-extern volatile int __block_new_threads;
-#endif
 
 static void handler(int sig)
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/time/clock_gettime.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/time/clock_gettime.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/time/clock_gettime.c	(revision 400)
@@ -56,10 +56,3 @@
 }
 
-#ifndef __c2__
 weak_alias(__clock_gettime, clock_gettime);
-#else
-int clock_gettime(clockid_t clk, struct timespec *ts)
-{
-	return __clock_gettime(clk, ts);
-}
-#endif
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/time/gmtime_r.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/time/gmtime_r.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/time/gmtime_r.c	(revision 400)
@@ -17,10 +17,3 @@
 }
 
-#ifndef __c2__
 weak_alias(__gmtime_r, gmtime_r);
-#else
-struct tm *gmtime_r(const time_t *restrict t, struct tm *restrict tm)
-{
-	return __gmtime_r(t, tm);
-}
-#endif
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/time/localtime_r.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/time/localtime_r.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/time/localtime_r.c	(revision 400)
@@ -19,10 +19,3 @@
 }
 
-#ifndef __c2__
 weak_alias(__localtime_r, localtime_r);
-#else
-struct tm *localtime_r(const time_t *restrict t, struct tm *restrict tm)
-{
-	return __localtime_r(t, tm);
-}
-#endif
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/time/timer_create.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/time/timer_create.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/time/timer_create.c	(revision 400)
@@ -15,12 +15,8 @@
 };
 
-#ifndef __c2__
 static void dummy_1(pthread_t self)
 {
 }
 weak_alias(dummy_1, __pthread_tsd_run_dtors);
-#else
-extern void __pthread_tsd_run_dtors(pthread_t self);
-#endif
 
 void __reset_tls();
Index: asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/close.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/close.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/musl-1.1.18/src/unistd/close.c	(revision 400)
@@ -4,5 +4,4 @@
 #include "libc.h"
 
-#ifndef __c2__
 static int dummy(int fd)
 {
@@ -11,7 +10,4 @@
 
 weak_alias(dummy, __aio_close);
-#else
-extern int __aio_close(int fd);
-#endif
 
 int close(int fd)
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet.c	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS ECHONET Lite Communication Middleware
  * 
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet.h	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet.h	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS ECHONET Lite Communication Middleware
  * 
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet.trb
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet.trb	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet.trb	(revision 400)
@@ -3,5 +3,5 @@
 #  TOPPERS ECHONET Lite Communication Middleware
 # 
-#  Copyright (C) 2014-2017 Cores Co., Ltd. Japan
+#  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
 # 
 #  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_agent.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_agent.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_agent.c	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS ECHONET Lite Communication Middleware
  * 
- *  Copyright (C) 2015 Cores Co., Ltd. Japan
+ *  Copyright (C) 2015-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_agent.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_agent.h	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_agent.h	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS ECHONET Lite Communication Middleware
  * 
- *  Copyright (C) 2015 Cores Co., Ltd. Japan
+ *  Copyright (C) 2015-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_asp.cfg
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_asp.cfg	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_asp.cfg	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS ECHONET Lite Communication Middleware
  * 
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_chk.trb
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_chk.trb	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_chk.trb	(revision 400)
@@ -3,5 +3,5 @@
 #  TOPPERS ECHONET Lite Communication Middleware
 # 
-#  Copyright (C) 2014 Cores Co., Ltd. Japan
+#  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
 # 
 #  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_class.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_class.h	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_class.h	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS ECHONET Lite Communication Middleware
  * 
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_dbg.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_dbg.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_dbg.c	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS ECHONET Lite Communication Middleware
  * 
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_dbg.cfg
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_dbg.cfg	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_dbg.cfg	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS ECHONET Lite Communication Middleware
  * 
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_dbg.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_dbg.h	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_dbg.h	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS ECHONET Lite Communication Middleware
  * 
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_fbs.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_fbs.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_fbs.c	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS ECHONET Lite Communication Middleware
  * 
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_fbs.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_fbs.h	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_fbs.h	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS ECHONET Lite Communication Middleware
  * 
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_lcl_task.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_lcl_task.h	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_lcl_task.h	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS ECHONET Lite Communication Middleware
  * 
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_rename.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_rename.h	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_rename.h	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS ECHONET Lite Communication Middleware
  * 
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_task.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_task.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_task.c	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS ECHONET Lite Communication Middleware
  * 
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_task.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_task.h	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_task.h	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS ECHONET Lite Communication Middleware
  * 
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_udp.cfg
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_udp.cfg	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_udp.cfg	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS ECHONET Lite Communication Middleware
  * 
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_udp6_task.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_udp6_task.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_udp6_task.c	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS ECHONET Lite Communication Middleware
  * 
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_udp6_task.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_udp6_task.h	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_udp6_task.h	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS ECHONET Lite Communication Middleware
  * 
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_udp_task.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_udp_task.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_udp_task.c	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS ECHONET Lite Communication Middleware
  * 
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_udp_task.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_udp_task.h	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/echonet_udp_task.h	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS ECHONET Lite Communication Middleware
  * 
- *  Copyright (C) 2014 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/fbs_string.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/fbs_string.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/fbs_string.c	(revision 400)
@@ -7,5 +7,5 @@
  *  Copyright (C) 2004-2011 by Embedded and Real-Time Systems Laboratory
  *              Graduate School of Information Science, Nagoya Univ., JAPAN
- *  Copyright (C) 2015 Cores Co., Ltd. Japan
+ *  Copyright (C) 2015-2019 Cores Co., Ltd. Japan
  *
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/echonet/fbs_string.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/echonet/fbs_string.h	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/echonet/fbs_string.h	(revision 400)
@@ -2,5 +2,5 @@
  *  TOPPERS ECHONET Lite Communication Middleware
  *
- *  Copyright (C) 2015 Cores Co., Ltd. Japan
+ *  Copyright (C) 2015-2019 Cores Co., Ltd. Japan
  *
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/ffarch.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/ffarch.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/ffarch.c	(revision 400)
@@ -1,6 +1,6 @@
 /*
- *  TOPPERS ECHONET Lite Communication Middleware
+ *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2014-2017 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/ffarch.cfg
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/ffarch.cfg	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/ffarch.cfg	(revision 400)
@@ -1,6 +1,6 @@
 /*
- *  TOPPERS ECHONET Lite Communication Middleware
+ *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2016 Cores Co., Ltd. Japan
+ *  Copyright (C) 2016-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/ffarch.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/ffarch.h	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/ffarch.h	(revision 400)
@@ -1,6 +1,6 @@
 /*
- *  TOPPERS ECHONET Lite Communication Middleware
+ *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2014-2016 Cores Co., Ltd. Japan
+ *  Copyright (C) 2014-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/mmc_rspi.cfg
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/mmc_rspi.cfg	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/mmc_rspi.cfg	(revision 400)
@@ -1,6 +1,6 @@
 /*
- *  TOPPERS ECHONET Lite Communication Middleware
+ *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2016 Cores Co., Ltd. Japan
+ *  Copyright (C) 2016-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/mmc_rspi.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/mmc_rspi.h	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/fatfs/mmc_rspi.h	(revision 400)
@@ -1,6 +1,6 @@
 /*
- *  TOPPERS ECHONET Lite Communication Middleware
+ *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2016 Cores Co., Ltd. Japan
+ *  Copyright (C) 2016-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/lcd/draw_font.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/lcd/draw_font.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/lcd/draw_font.c	(revision 400)
@@ -1,6 +1,6 @@
 /*
- *  TOPPERS ECHONET Lite Communication Middleware
- *
- *  Copyright (C) 2018 Cores Co., Ltd. Japan
+ *  TOPPERS PROJECT Home Network Working Group Software
+ *
+ *  Copyright (C) 2018-2019 Cores Co., Ltd. Japan
  *
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/lcd/draw_font.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/lcd/draw_font.h	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/lcd/draw_font.h	(revision 400)
@@ -1,6 +1,6 @@
 /*
- *  TOPPERS ECHONET Lite Communication Middleware
+ *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2018 Cores Co., Ltd. Japan
+ *  Copyright (C) 2018-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/lcd/misaki_font.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/lcd/misaki_font.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/lcd/misaki_font.c	(revision 400)
@@ -1,6 +1,6 @@
 /*
- *  TOPPERS ECHONET Lite Communication Middleware
+ *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2018 Cores Co., Ltd. Japan
+ *  Copyright (C) 2018-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/lcd/misaki_font.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/lcd/misaki_font.h	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/lcd/misaki_font.h	(revision 400)
@@ -1,6 +1,6 @@
 /*
- *  TOPPERS ECHONET Lite Communication Middleware
+ *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2018 Cores Co., Ltd. Japan
+ *  Copyright (C) 2018-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/lcd/shnm12_font.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/lcd/shnm12_font.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/lcd/shnm12_font.c	(revision 400)
@@ -1,6 +1,6 @@
 /*
- *  TOPPERS ECHONET Lite Communication Middleware
+ *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2018 Cores Co., Ltd. Japan
+ *  Copyright (C) 2018-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/lcd/shnm12_font.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/lcd/shnm12_font.h	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/lcd/shnm12_font.h	(revision 400)
@@ -1,6 +1,6 @@
 /*
- *  TOPPERS ECHONET Lite Communication Middleware
+ *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2018 Cores Co., Ltd. Japan
+ *  Copyright (C) 2018-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/lcd/shnm16_font.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/lcd/shnm16_font.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/lcd/shnm16_font.c	(revision 400)
@@ -1,6 +1,6 @@
 /*
- *  TOPPERS ECHONET Lite Communication Middleware
+ *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2018 Cores Co., Ltd. Japan
+ *  Copyright (C) 2018-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/lcd/shnm16_font.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/lcd/shnm16_font.h	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/lcd/shnm16_font.h	(revision 400)
@@ -1,6 +1,6 @@
 /*
- *  TOPPERS ECHONET Lite Communication Middleware
+ *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2018 Cores Co., Ltd. Japan
+ *  Copyright (C) 2018-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/src/echonet_app_config.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/src/echonet_app_config.h	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/src/echonet_app_config.h	(revision 400)
@@ -1,6 +1,6 @@
 /*
- *  TOPPERS ECHONET Lite Communication Middleware
+ *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2016 Cores Co., Ltd. Japan
+ *  Copyright (C) 2016-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/src/fdtable.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/src/fdtable.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/src/fdtable.c	(revision 400)
@@ -1,6 +1,6 @@
 /*
- *  TOPPERS ECHONET Lite Communication Middleware
+ *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2017 Cores Co., Ltd. Japan
+ *  Copyright (C) 2017-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
@@ -299,5 +299,5 @@
 ER shell_get_evts(struct fd_events *evts, TMO tmout)
 {
-	int count = 0;
+	int count;
 	SYSTIM prev, now;
 	FLGPTN flgptn;
@@ -315,4 +315,5 @@
 		waitptn = *((FLGPTN *)&evts->readfds) | *((FLGPTN *)&evts->errorfds);
 #endif
+		count = 0;
 		for (int fd = 0; fd < fd_table_count; fd++) {
 			fp = &fd_table[fd];
Index: asp3_tinet_ecnl_rx/trunk/ntshell/src/fdtable.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/src/fdtable.h	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/src/fdtable.h	(revision 400)
@@ -1,6 +1,6 @@
 /*
- *  TOPPERS ECHONET Lite Communication Middleware
+ *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2017 Cores Co., Ltd. Japan
+ *  Copyright (C) 2017-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/src/io_stub.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/src/io_stub.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/src/io_stub.c	(revision 400)
@@ -1,6 +1,6 @@
 /*
- *  TOPPERS ECHONET Lite Communication Middleware
+ *  TOPPERS PROJECT Home Network Working Group Software
  *
- *  Copyright (C) 2017 Cores Co., Ltd. Japan
+ *  Copyright (C) 2017-2019 Cores Co., Ltd. Japan
  *
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/src/net_misc.c
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/src/net_misc.c	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/src/net_misc.c	(revision 400)
@@ -1,6 +1,6 @@
 /*
- *  TOPPERS ECHONET Lite Communication Middleware
+ *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2018 Cores Co., Ltd. Japan
+ *  Copyright (C) 2018-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/src/net_misc.cfg
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/src/net_misc.cfg	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/src/net_misc.cfg	(revision 400)
@@ -1,6 +1,6 @@
 /*
- *  TOPPERS ECHONET Lite Communication Middleware
+ *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2018 Cores Co., Ltd. Japan
+ *  Copyright (C) 2018-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
Index: asp3_tinet_ecnl_rx/trunk/ntshell/src/net_misc.h
===================================================================
--- asp3_tinet_ecnl_rx/trunk/ntshell/src/net_misc.h	(revision 387)
+++ asp3_tinet_ecnl_rx/trunk/ntshell/src/net_misc.h	(revision 400)
@@ -1,6 +1,6 @@
 /*
- *  TOPPERS ECHONET Lite Communication Middleware
+ *  TOPPERS PROJECT Home Network Working Group Software
  * 
- *  Copyright (C) 2018 Cores Co., Ltd. Japan
+ *  Copyright (C) 2018-2019 Cores Co., Ltd. Japan
  * 
  *  上記著作権者は，以下の(1)～(4)の条件を満たす場合に限り，本ソフトウェ
